Skip to main content
POST
/
project
/
{project_id}
/
chart
/
{id}
/
query
cURL
curl --request POST \
  --url https://api.chartbrew.com/project/{project_id}/chart/{id}/query \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "filters": [
    {}
  ]
}
'
import requests

url = "https://api.chartbrew.com/project/{project_id}/chart/{id}/query"

payload = { "filters": [{}] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({filters: [{}]})
};

fetch('https://api.chartbrew.com/project/{project_id}/chart/{id}/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "name": "<string>",
  "subType": "<string>",
  "chartData": {},
  "chartDataUpdated": "2023-11-07T05:31:56Z",
  "project_id": "<string>",
  "public": true,
  "shareable": true,
  "ChartDatasetConfigs": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "chart_id": 123,
      "dataset_id": 123,
      "xAxis": "<string>",
      "xAxisOperation": "<string>",
      "yAxis": "<string>",
      "yAxisOperation": "<string>",
      "dateField": "<string>",
      "dateFormat": "<string>",
      "conditions": [
        {
          "id": "<string>",
          "field": "<string>",
          "value": "<string>",
          "displayValues": true
        }
      ],
      "formula": "<string>",
      "datasetColor": "<string>",
      "fillColor": "<string>",
      "fill": false,
      "multiFill": false,
      "legend": "<string>",
      "pointRadius": 123,
      "excludedFields": [
        "<string>"
      ],
      "sort": "<string>",
      "columnsOrder": [
        "<string>"
      ],
      "order": 0,
      "maxRecords": 123,
      "goal": 123,
      "configuration": {
        "variables": [
          {
            "name": "<string>",
            "value": "<string>"
          }
        ]
      }
    }
  ]
}
{
"message": "<string>",
"error": "<string>"
}
{
"message": "<string>",
"error": "<string>"
}
{
"message": "<string>",
"error": "<string>"
}
{
"message": "<string>",
"error": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

project_id
string
required

ID of the project

id
string
required

ID of the chart

Query Parameters

no_source
boolean

Skip source data in response

skip_parsing
boolean

Skip data parsing

getCache
boolean

Get cached data if available

Body

application/json

Query filters

filters
object[]

Response

Chart data response

id
string
name
string
type
enum<string>
Available options:
line,
bar,
pie,
doughnut,
radar,
polar,
table,
kpi,
avg,
gauge,
matrix,
markdown
subType
string
chartData
object
chartDataUpdated
string<date-time>
project_id
string
public
boolean
shareable
boolean
ChartDatasetConfigs
object[]